:root {
    --primary-color: #ad3732;
    --secondary-color: #cf544f;
    --font-color: #ffe19e;
    --font-border-color: #a10f1b;
    --link-color: #85C1E9;
}

* {
    padding: 0;
    margin: 0;
    font-family: "Merriweather", serif;
    font-optical-sizing: auto;
}

.font-color {
    color: var(--font-color);
    text-shadow: 1px 1px 0 var(--font-border-color),
                -1px 1px 0 var(--font-border-color),
                1px -1px 0 var(--font-border-color),
                -1px -1px 0 var(--font-border-color),
                0px 1px 0 var(--font-border-color),
                0px -1px 0 var(--font-border-color),
                -1px 0px 0 var(--font-border-color),
                1px 0px 0 var(--font-border-color),
                2px 2px 0 var(--font-border-color),
                -2px 2px 0 var(--font-border-color),
                2px -2px 0 var(--font-border-color),
                -2px -2px 0 var(--font-border-color),
                0px 2px 0 var(--font-border-color),
                0px -2px 0 var(--font-border-color),
                -2px 0px 0 var(--font-border-color),
                2px 0px 0 var(--font-border-color),
                1px 2px 0 var(--font-border-color),
                -1px 2px 0 var(--font-border-color),
                1px -2px 0 var(--font-border-color),
                -1px -2px 0 var(--font-border-color),
                2px 1px 0 var(--font-border-color),
                -2px 1px 0 var(--font-border-color),
                2px -1px 0 var(--font-border-color),
                -2px -1px 0 var(--font-border-color);
}

body {
    background-image: url('/shared/bg_red.png');
    background-size: cover;
    background-position: center;
    min-height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
}

form {
    margin: auto;
    width: 100%;
    max-width: 300px;
    padding: 4%;
}

form h1 {
    text-align: center;
}

form > *, form > fieldset > *  {
    margin-bottom: 10px;
}

form input {
    width: 100%;
    margin-top: 1px;
    box-sizing: border-box;
}

form input[type=text], form input[type=password] {
    border: 4px solid var(--primary-color);
    box-shadow: inset 0 0 5px 0 rgba(0, 0, 0, 0.5);
    font-size: 18px;
    padding: 5px;
    border-radius: 10px;
    color: black;
    text-shadow: none;
}

button {
    display: block;
    border: 4px solid var(--primary-color);
    background-color: var(--primary-color);
    font-size: 18px;
    padding: 5px;
    border-radius: 10px;
    cursor: pointer;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
    margin: 0 auto;
    color: white;
    text-shadow: none;
}

button:hover {
    filter: brightness(0.9);
}

form p {
    text-align: center;
}

a {
    color: var(--link-color);
}